Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface RedefineDocument.Redefine

- All Superinterfaces:
    `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `RedefineDocumentImpl.RedefineImpl`
  Enclosing interface:
    RedefineDocument

      public static interface RedefineDocument.Redefine
      extends OpenAttrs

  An XML redefine(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<RedefineDocument.Redefine>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDocument.Annotation` | `addNewAnnotation()` | Appends and returns a new empty value (as xml) as the last "annotation" element
    `NamedAttributeGroup` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `TopLevelComplexType` | `addNewComplexType()` | Appends and returns a new empty value (as xml) as the last "complexType" element
    `NamedGroup` | `addNewGroup()` | Appends and returns a new empty value (as xml) as the last "group" element
    `TopLevelSimpleType` | `addNewSimpleType()` | Appends and returns a new empty value (as xml) as the last "simpleType" element
    `AnnotationDocument.Annotation[]` | `getAnnotationArray()` | Gets array of all "annotation" elements
    `AnnotationDocument.Annotation` | `getAnnotationArray​(int i)` | Gets ith "annotation" element
    `List<AnnotationDocument.Annotation>` | `getAnnotationList()` | Gets a List of "annotation" elements
    `NamedAttributeGroup[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `NamedAttributeGroup` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<NamedAttributeGroup>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `TopLevelComplexType[]` | `getComplexTypeArray()` | Gets array of all "complexType" elements
    `TopLevelComplexType` | `getComplexTypeArray​(int i)` | Gets ith "complexType" element
    `List<TopLevelComplexType>` | `getComplexTypeList()` | Gets a List of "complexType" elements
    `NamedGroup[]` | `getGroupArray()` | Gets array of all "group" elements
    `NamedGroup` | `getGroupArray​(int i)` | Gets ith "group" element
    `List<NamedGroup>` | `getGroupList()` | Gets a List of "group" elements
    `String` | `getId()` | Gets the "id" attribute
    `String` | `getSchemaLocation()` | Gets the "schemaLocation" attribute
    `TopLevelSimpleType[]` | `getSimpleTypeArray()` | Gets array of all "simpleType" elements
    `TopLevelSimpleType` | `getSimpleTypeArray​(int i)` | Gets ith "simpleType" element
    `List<TopLevelSimpleType>` | `getSimpleTypeList()` | Gets a List of "simpleType" elements
    `AnnotationDocument.Annotation` | `insertNewAnnotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "annotation" element
    `NamedAttributeGroup` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `TopLevelComplexType` | `insertNewComplexType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "complexType" element
    `NamedGroup` | `insertNewGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "group" element
    `TopLevelSimpleType` | `insertNewSimpleType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "simpleType" element
    `boolean` | `isSetId()` | True if has "id" attribute
    `void` | `removeAnnotation​(int i)` | Removes the ith "annotation" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `removeComplexType​(int i)` | Removes the ith "complexType" element
    `void` | `removeGroup​(int i)` | Removes the ith "group" element
    `void` | `removeSimpleType​(int i)` | Removes the ith "simpleType" element
    `void` | `setAnnotationArray​(int i, AnnotationDocument.Annotation annotation)` | Sets ith "annotation" element
    `void` | `setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)` | Sets array of all "annotation" element
    `void` | `setAttributeGroupArray​(int i, NamedAttributeGroup attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)` | Sets array of all "attributeGroup" element
    `void` | `setComplexTypeArray​(int i, TopLevelComplexType complexType)` | Sets ith "complexType" element
    `void` | `setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)` | Sets array of all "complexType" element
    `void` | `setGroupArray​(int i, NamedGroup group)` | Sets ith "group" element
    `void` | `setGroupArray​(NamedGroup[] groupArray)` | Sets array of all "group" element
    `void` | `setId​(String id)` | Sets the "id" attribute
    `void` | `setSchemaLocation​(String schemaLocation)` | Sets the "schemaLocation" attribute
    `void` | `setSimpleTypeArray​(int i, TopLevelSimpleType simpleType)` | Sets ith "simpleType" element
    `void` | `setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)` | Sets array of all "simpleType" element
    `int` | `sizeOfAnnotationArray()` | Returns number of "annotation" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `int` | `sizeOfComplexTypeArray()` | Returns number of "complexType" element
    `int` | `sizeOfGroupArray()` | Returns number of "group" element
    `int` | `sizeOfSimpleTypeArray()` | Returns number of "simpleType" element
    `void` | `unsetId()` | Unsets the "id" attribute
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `XmlAnyURI` | `xgetSchemaLocation()` | Gets (as xml) the "schemaLocation" attribute
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute
    `void` | `xsetSchemaLocation​(XmlAnyURI schemaLocation)` | Sets (as xml) the "schemaLocation" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<RedefineDocument.Redefine> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAnnotationList

          List<AnnotationDocument.Annotation> getAnnotationList()

      Gets a List of "annotation" elements

    - #### getAnnotationArray

          AnnotationDocument.Annotation[] getAnnotationArray()

      Gets array of all "annotation" elements

    - #### getAnnotationArray

          AnnotationDocument.Annotation getAnnotationArray​(int i)

      Gets ith "annotation" element

    - #### sizeOfAnnotationArray

          int sizeOfAnnotationArray()

      Returns number of "annotation" element

    - #### setAnnotationArray

          void setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)

      Sets array of all "annotation" element

    - #### setAnnotationArray

          void setAnnotationArray​(int i,
                                  AnnotationDocument.Annotation annotation)

      Sets ith "annotation" element

    - #### insertNewAnnotation

          AnnotationDocument.Annotation insertNewAnnotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "annotation" element

    - #### addNewAnnotation

          AnnotationDocument.Annotation addNewAnnotation()

      Appends and returns a new empty value (as xml) as the last "annotation" element

    - #### removeAnnotation

          void removeAnnotation​(int i)

      Removes the ith "annotation" element

    - #### getSimpleTypeList

          List<TopLevelSimpleType> getSimpleTypeList()

      Gets a List of "simpleType" elements

    - #### getSimpleTypeArray

          TopLevelSimpleType[] getSimpleTypeArray()

      Gets array of all "simpleType" elements

    - #### getSimpleTypeArray

          TopLevelSimpleType getSimpleTypeArray​(int i)

      Gets ith "simpleType" element

    - #### sizeOfSimpleTypeArray

          int sizeOfSimpleTypeArray()

      Returns number of "simpleType" element

    - #### setSimpleTypeArray

          void setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)

      Sets array of all "simpleType" element

    - #### setSimpleTypeArray

          void setSimpleTypeArray​(int i,
                                  TopLevelSimpleType simpleType)

      Sets ith "simpleType" element

    - #### insertNewSimpleType

          TopLevelSimpleType insertNewSimpleType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "simpleType" element

    - #### addNewSimpleType

          TopLevelSimpleType addNewSimpleType()

      Appends and returns a new empty value (as xml) as the last "simpleType" element

    - #### removeSimpleType

          void removeSimpleType​(int i)

      Removes the ith "simpleType" element

    - #### getComplexTypeList

          List<TopLevelComplexType> getComplexTypeList()

      Gets a List of "complexType" elements

    - #### getComplexTypeArray

          TopLevelComplexType[] getComplexTypeArray()

      Gets array of all "complexType" elements

    - #### getComplexTypeArray

          TopLevelComplexType getComplexTypeArray​(int i)

      Gets ith "complexType" element

    - #### sizeOfComplexTypeArray

          int sizeOfComplexTypeArray()

      Returns number of "complexType" element

    - #### setComplexTypeArray

          void setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)

      Sets array of all "complexType" element

    - #### setComplexTypeArray

          void setComplexTypeArray​(int i,
                                   TopLevelComplexType complexType)

      Sets ith "complexType" element

    - #### insertNewComplexType

          TopLevelComplexType insertNewComplexType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "complexType" element

    - #### addNewComplexType

          TopLevelComplexType addNewComplexType()

      Appends and returns a new empty value (as xml) as the last "complexType" element

    - #### removeComplexType

          void removeComplexType​(int i)

      Removes the ith "complexType" element

    - #### getGroupList

          List<NamedGroup> getGroupList()

      Gets a List of "group" elements

    - #### getGroupArray

          NamedGroup[] getGroupArray()

      Gets array of all "group" elements

    - #### getGroupArray

          NamedGroup getGroupArray​(int i)

      Gets ith "group" element

    - #### sizeOfGroupArray

          int sizeOfGroupArray()

      Returns number of "group" element

    - #### setGroupArray

          void setGroupArray​(NamedGroup[] groupArray)

      Sets array of all "group" element

    - #### setGroupArray

          void setGroupArray​(int i,
                             NamedGroup group)

      Sets ith "group" element

    - #### insertNewGroup

          NamedGroup insertNewGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element

    - #### addNewGroup

          NamedGroup addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element

    - #### removeGroup

          void removeGroup​(int i)

      Removes the ith "group" element

    - #### getAttributeGroupList

          List<NamedAttributeGroup> getAttributeGroupList()

      Gets a List of "attributeGroup" elements

    - #### getAttributeGroupArray

          NamedAttributeGroup[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements

    - #### getAttributeGroupArray

          NamedAttributeGroup getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element

    - #### sizeOfAttributeGroupArray

          int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)

      Sets array of all "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(int i,
                                      NamedAttributeGroup attributeGroup)

      Sets ith "attributeGroup" element

    - #### insertNewAttributeGroup

          NamedAttributeGroup insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element

    - #### addNewAttributeGroup

          NamedAttributeGroup addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element

    - #### removeAttributeGroup

          void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element

    - #### getSchemaLocation

          String getSchemaLocation()

      Gets the "schemaLocation" attribute

    - #### xgetSchemaLocation

          XmlAnyURI xgetSchemaLocation()

      Gets (as xml) the "schemaLocation" attribute

    - #### setSchemaLocation

          void setSchemaLocation​(String schemaLocation)

      Sets the "schemaLocation" attribute

    - #### xsetSchemaLocation

          void xsetSchemaLocation​(XmlAnyURI schemaLocation)

      Sets (as xml) the "schemaLocation" attribute

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId​(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute